 
 try {
 	var html = document.documentElement;
 	var width = html.getBoundingClientRect().width;
 	if(width <= 10) {
 		width = window.screen.width;
 	}
 	html.style.fontSize = width / 7.5 + 'px';
 } catch(e) {
 	console.info(e);
 }
 	
(function($, owner) {
	
	/**
	 * APP全局请求网址*/
	owner.isDebug = false;

	//访问版本
	owner.accessVersion = "v1-6-6";
	
	if(owner.isDebug) {
		  owner.deafultServer = "http://www.toppgo.com";
	} else {
		//默认的服务器IP
		owner.deafultServer = "http://www.toppgo.com";
	}

	
	owner.androidPackage = "com.toppgo.transport";
	//owner.androidPackage = "com.toppgo.agent";

	/**
	 *向localStorage中存键值对
	 */
	owner.setLocalStorage = function(keyStr, valueObj) {
		valueObj = valueObj || {};
		localStorage.setItem("$" + keyStr, JSON.stringify(valueObj));
	};
	
	/**
	 * 从localStorage中取值
	 */
	owner.getLocalStorage = function(keyStr) {
		var valueObjStr = localStorage.getItem('$' + keyStr) || "{}";
		return JSON.parse(valueObjStr);
	};
	
	//清空所有的文件-每次更新都会清除所有的文件
	var accessLocalStorage = owner.getLocalStorage(owner.accessVersion);
	if(jQuery.isEmptyObject(accessLocalStorage)) {
		localStorage.clear();
		owner.setLocalStorage(owner.accessVersion,{"value":owner.accessVersion});
	}
	
	//设置ip
	var serverStorage = owner.getLocalStorage("server");
	if((!jQuery.isEmptyObject(serverStorage) && serverStorage['server']) && !owner.isDebug) {
		owner.domainPort = serverStorage['server'];
	} else {
		owner.domainPort = owner.deafultServer;
	}
	//支持的语言
	var supportLanguage = {
		"zh": {
			"system.loadding": "正在加载",
			"network.timeout": "网络缓慢"
		},
		"en": {
			"system.loadding": "Loading",
			"network.timeout": "Network Timeout"
		},
		"tw": {
			"system.loadding": "正在加載",
			"network.timeout": "網絡緩慢"
		},
		"ko": {
			"system.loadding": "불러오는 중",
			"network.timeout": "네트워크가 느리다"
		},
		"ja": {
			"system.loadding": "読み込み中",
			"network.timeout": "ネットワークが遅い"
		}
	};

	//整体清除app的缓存，登录信息除外,ingore用于是否清除当前版本的那个value
	owner.clearAllCache4App = function(clearKey, ignore) {
		//首先清除缓存
		var clearObj = owner.getLocalStorage(clearKey);
		if(jQuery.isEmptyObject(clearObj)) {
			var code = owner.getCode;
			var state = owner.getState();
			var crossUserState = owner.getCrossUserState();
			var versionKeyVal = owner.getLocalStorage(owner.accessVersion);

			localStorage.clear();

			owner.setState(state);
			owner.setCode(code);
			owner.setCrossUserState(crossUserState);

			//如果提示
			if(ignore) {
				owner.setLocalStorage(owner.accessVersion, versionKeyVal);
			}

			owner.setLocalStorage(clearKey, {
				"clear": true
			});
		}
	}

	/*微信登录授权*/
	owner.registLogin = function(oauthEvent, oauthService, oauthType) {
		try {
			var state = owner.getState();
			//请求加载数据
			mui.ajax({
				type: 'post', //HTTP请求类型
				timeout: 10000, //超时时间设置为10秒；
				url: owner.domainPort + "/regist/loginByWeixin",
				needLoading: true,
				data: {
					"_": Math.random(),
					"oauthToken": oauthEvent["target"]["authResult"]["access_token"],
					"fromType": "PHONE",
					"openid": oauthEvent["target"]["userInfo"]["openid"],
					"nickName": oauthEvent["target"]["userInfo"]["nickname"],
					"headimgurl": oauthEvent["target"]["userInfo"]["headimgurl"]
				},
				success: function(data) {
					if(data.flag) {} else {
						owner.setState(); //清空stat
						//注销
						if(oauthService.authResult) {
							oauthService.logout(function() {
								console.info("注销成功!");
							});
						}
						mui.toast(jQuery.i18n.prop("not.login.info"));
					}
				},
				error: function(xhr, type, errorThrown) {
					mui.toast(jQuery.i18n.prop("not.login.info"));
				}
			});
		} catch(e) {
			console.info(e);
			mui.toast(jQuery.i18n.prop("not.login.info"));
		} //远程登录完成
	}

	/**
	 * 用户登录
	 **/
	owner.login = function(loginInfo, callback) {
		callback = callback || $.noop;
		loginInfo = loginInfo || {};
		loginInfo.account = loginInfo.account || '';
		loginInfo.password = loginInfo.password || '';
		loginInfo.wechatOpenid = loginInfo.password || ''
		var wechatOpenid = loginInfo.wechatOpenId || '';
		if(wechatOpenid.length == 0) {
			if(loginInfo.account.length == 0) {
				return callback(jQuery.i18n.prop('user.name') + jQuery.i18n.prop('validate.required'));
			}
			if(loginInfo.password.length == 0) {
				return callback(jQuery.i18n.prop('user.password') + jQuery.i18n.prop('validate.required'));
			}
		}

		//生成token
		console.info(JSON.stringify(loginInfo))
		var token = owner.encode(loginInfo.account + ',' + loginInfo.password);

		if(wechatOpenid && wechatOpenid.length > 0) {
			token = token + "@WX@" + wechatOpenid;
		}
		
		var state = owner.getState();
		try {
			//请求加载数据
			mui.ajax({
				type: 'post', //HTTP请求类型
				timeout: 10000, //超时时间设置为10秒；
				url: app.domainPort + '/user/loginInfo',
				async: true,
				needLoading: true,
				data: {
					"_": Math.random(),
					"token": token
				},
				success: function(data) {
					if(data.flag) {
						var serverCustomer = data.obj.customer;
						state.customer = serverCustomer;

						var serverUser = data.obj.user;
						owner.setCode(serverUser.code);
						state.user = serverUser;
						//保存token
						state.token = token;

						//开始保存信息
						owner.setState(state);
						mui.toast(jQuery.i18n.prop('login.success')); //登录成功!

						//----------------------------语言同步-start
						var crossUserState = owner.getCrossUserState();
						//当前语言
						var language = jQuery.trim(crossUserState.language);
						//后台语言
						var serverLanguage = jQuery.trim(state.customer.language);

						//如果当前语言和后台的语言一样，那么开始执行是否需要切换语言操作
						if(state.customer.language && serverLanguage) {
							if(language != serverLanguage && crossUserState.language && language && (language in jQuery.i18n.map)) { //执行语言切换
								//执行语言切换提示
								mui.alert(jQuery.i18n.prop("system.switch.language.prompt", jQuery.i18n.prop(serverLanguage),
									jQuery.i18n.prop(language), jQuery.i18n.prop(serverLanguage)), jQuery.i18n.prop("tips"), function() {
									crossUserState.language = serverLanguage;
									owner.setCrossUserState(crossUserState);
									try {
										owner.changeAllPage();
										owner.loadDataAndJump2UserCenter();
									} catch(e) {
										window.setTimeout(function() {
											plus.runtime.restart();
										}, 1000)
									}

								});
							} else {
								owner.loadDataAndJump2UserCenter();
							}
						} else { //如果后台没有语言，那么设置为当前环境语言
							if(state.customer) {
								owner.asyncI18n(crossUserState.language);
							}
							owner.loadDataAndJump2UserCenter();
						}
						//------end
					} else {
						owner.setState({}); //清空stat
						return callback(jQuery.i18n.prop('username.or.password.error')); //用户名或密码错误
					}
				},
				error: function(xhr, type, errorThrown) {
					callback(type);
				}

			});

		} catch(e) {
			console.error(e.description, e);
			callback(e.description);
		} //远程登录完成
	};

	owner.loadDataAndJump2UserCenter = function() {

		var usercenterPage = plus.webview.getWebviewById('html/usercenter.html');
		var launchPage = plus.webview.getLaunchWebview();
		mui.fire(usercenterPage, 'loadDataEvent');
		mui.fire(launchPage, 'loadDataEvent');
		
		if(plus.webview.getWebviewById('login.html')) {
			plus.webview.getWebviewById('login.html').close()
			plus.webview.currentWebview().close();
		} else {
			plus.webview.currentWebview().close();
		}
	};

	owner.isSimpleLogin = function() {
		var state = owner.getState();

		return state.token && state.token != '';
	};

	owner.isLogin = function(executeLogin) {
		if(owner.isSimpleLogin()) {
			return true;
		} else {
			if(executeLogin) {
				mui.openWindow({
					url: owner.getAbsolutePath() + '/html/account/login.html',
					id: 'login.html'
				});
			} else {
				mui.toast(jQuery.i18n.prop('not.login.info'));
			}
			return false;
		}
	};

	/**
	 * 新用户注册
	 **/
	owner.reg = function(regInfo, callback) {
		callback = callback || $.noop;
		regInfo = regInfo || {};
		regInfo.account = regInfo.account || '';
		regInfo.password = regInfo.password || '';
		if(regInfo.account.length < 2 || regInfo.account.length > 20) {
			return callback(jQuery.i18n.prop('regist.account.length', '2~20')); //账号最短需要 {0}个字符
		}
		if(regInfo.password.length < 6 || regInfo.password.length > 20) {
			return callback(jQuery.i18n.prop('regist.password.length', '6~20')); //'密码最短需要 个字符'
		}
		if(!owner.isEmail(regInfo.email)) {
			return callback(jQuery.i18n.prop('regist.email.invalid')); //邮箱地址不合法
		}
		
		var submitData = {
				email: regInfo.email,
				password: regInfo.password,
				retypePassword: regInfo.password,
				loginId: regInfo.account,
				wechat: regInfo.wechat,
				fromType: "PHONE",
				language: regInfo.language
		};
		
		jQuery.extend(submitData,regInfo);
		
		console.info(JSON.stringify(submitData));
		
		jQuery.post({
			url: app.domainPort + "/regist",
			data: JSON.stringify(submitData),
			contentType:'application/json',
			dataType: "json",
			needLoading: true,
			success: function(data) {
				if(data.flag) {
					mui.toast(jQuery.i18n.prop('regist.success.and.login')); //"注册成功,请登陆!"

					var loginInfo = {
						account: regInfo.account,
						password: regInfo.password
					};

					setTimeout(function() {
						owner.login(loginInfo, function(err) {
							console.log(err);
							if(err) {
								mui.toast(jQuery.i18n.prop('regist.success.info')); //"注册成功,请登陆!"
							}
						});
					}, 500);
				} else {
					return callback(data.msg);
				}
			}
		});
	};

	/**
	 * 支付类型
	 */
	owner.payType = {
		"agent": "agent",
		"transport": "transport"
	}

	/**
	 * 获取当前状态
	 **/
	owner.getState = function() {
		var stateText = localStorage.getItem('$state') || "{}";
		return JSON.parse(stateText);
	};

	/**
	 * 设置当前状态
	 **/
	owner.setState = function(state) {
		state = state || {};
		localStorage.setItem('$state', JSON.stringify(state));
	};

	/**
	 * 获取所有用户公用当前状态, 如国际化
	 **/
	owner.getCrossUserState = function() {
		var stateText = localStorage.getItem('$crossUserState') || "{}";
		return JSON.parse(stateText);
	};

	/**
	 * 设置所有用户公用当前状态, 如国际化language
	 **/
	owner.setCrossUserState = function(state) {
		state = state || {};
		localStorage.setItem('$crossUserState', JSON.stringify(state));
	};

	owner.setCode = function(code) {
		localStorage.setItem('$code', code);
	};

	owner.getCode = function() {
		var stateText = localStorage.getItem('$code') || "{}";
		return stateText;
	};

	/**
	 * 找回密码
	 **/
	owner.forgetPassword = function(email, callback) {
		callback = callback || $.noop;
		if(!owner.isEmail(email)) {
			return callback('邮箱地址不合法');
		}
		return callback(null, '新的随机密码已经发送到您的邮箱，请查收邮件。');
	};

	/**
	 * 获取应用本地配置
	 **/
	owner.setSettings = function(settings) {
		settings = settings || {};
		localStorage.setItem('$settings', JSON.stringify(settings));
	};

	/**
	 * 设置应用本地配置
	 **/
	owner.getSettings = function() {
		var settingsText = localStorage.getItem('$settings') || "{}";
		return JSON.parse(settingsText);
	};

	/**
	 * 获取本地是否安装客户端
	 **/
	owner.isInstalled = function(id) {
		if(id === 'qihoo' && mui.os.plus) {
			return true;
		}
		if(mui.os.android) {
			var main = plus.android.runtimeMainActivity();
			var packageManager = main.getPackageManager();
			var PackageManager = plus.android.importClass(packageManager)
			var packageName = {
				"qq": "com.tencent.mobileqq",
				"weixin": "com.tencent.mm",
				"sinaweibo": "com.sina.weibo"
			}
			try {
				return packageManager.getPackageInfo(packageName[id], PackageManager.GET_ACTIVITIES);
			} catch(e) {}
		} else {
			switch(id) {
				case "qq":
					var TencentOAuth = plus.ios.import("TencentOAuth");
					return TencentOAuth.iphoneQQInstalled();
				case "weixin":
					var WXApi = plus.ios.import("WXApi");
					return WXApi.isWXAppInstalled()
				case "sinaweibo":
					var SinaAPI = plus.ios.import("WeiboSDK");
					return SinaAPI.isWeiboAppInstalled()
				default:
					break;
			}
		}
	};

	owner.encode = function(input) {
		input = encodeURI(input);
		var output = owner.encode64("topp" + input);
		output = owner.encode64("1QW2" + output);
		return output;
	}

	owner.encode64 = function(input) {
		// base64加密开始
		var keyStr = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";

		var output = "";
		var chr1, chr2, chr3 = "";
		var enc1, enc2, enc3, enc4 = "";
		var i = 0;
		do {
			chr1 = input.charCodeAt(i++);
			chr2 = input.charCodeAt(i++);
			chr3 = input.charCodeAt(i++);
			enc1 = chr1 >> 2;
			enc2 = ((chr1 & 3) << 4) | (chr2 >> 4);
			enc3 = ((chr2 & 15) << 2) | (chr3 >> 6);
			enc4 = chr3 & 63;
			if(isNaN(chr2)) {
				enc3 = enc4 = 64;
			} else if(isNaN(chr3)) {
				enc4 = 64;
			}
			output = output + keyStr.charAt(enc1) + keyStr.charAt(enc2) +
				keyStr.charAt(enc3) + keyStr.charAt(enc4);
			chr1 = chr2 = chr3 = "";
			enc1 = enc2 = enc3 = enc4 = "";
		} while (i < input.length);

		return output;
	};

	/**
	 * 向sessionStorage中存键值对
	 */
	owner.setSessionStorage = function(keyStr, valueObj) {
		valueObj = valueObj || {};
		sessionStorage.setItem("$" + keyStr, JSON.stringify(valueObj));
	};
	/**
	 * 从sessionStorage中取值
	 */
	owner.getSessionStorage = function(keyStr) {
		var valueObjStr = sessionStorage.getItem('$' + keyStr) || "{}";
		return JSON.parse(valueObjStr);
	};

	//获取地址栏参数
	owner.getParameters = function() {
		var url = window.location.search;
		url = url.substring(1);
		var str = url.replace(/&/g, "','");
		str = str.replace(/=/g, "':'");
		str = "({'" + str + "'})";
		var obj = eval(str);
		return obj;
	}

	//获取地址栏参数来自链接
	owner.getParametersByUrl = function(url) {
		url = url.substring(url.indexOf("?") + 1);
		var str = url.replace(/&/g, "','");
		str = str.replace(/=/g, "':'");
		str = "({'" + str + "'})";
		var obj = eval(str);
		return obj
	}

	owner.getParameter = function(key) {
		var url = window.location.search;
		var index1 = url.indexOf("?" + key + "=");
		var index2 = url.indexOf("&" + key + "=");
		var begin = 0;
		if(index1 != -1) {
			begin = index1;
		} else if(index2 != -1) {
			begin = index2;
		} else {
			begin = -1;
		}
		var end = url.indexOf("&", begin);

		var value = "";
		if(begin == -1) {
			//id不存在
		} else if(index2 == -1) {
			//取id到结尾
			value = url.substring(begin + key.length + 2);
		} else {
			//取id在中间
			value = url.substring(begin + key.length + 2, end);
		}
		return value;
	}

	/*获取url中的参数 from  陈益*/
	owner.getUrlParams = function() {
		var locationSearch = location.search.replace("?", "");
		var params = locationSearch.split("&");
		var paramJson = {};
		for(var i = 0; i < params.length; i++) {
			var param = params[i];
			//如果没有=表示格式不对，那么不用处理
			if(jQuery.type(param) == "string" && param.indexOf("=") != -1 && param.split("=").length == 2) {
				var key = param.split("=")[0];
				var value = param.split("=")[1];
				if(value.trim() != '') {
					paramJson[key] = value;
				}
			}
		}
		return paramJson;
	}

	owner.getUrlParam = function(key) {
		var params = owner.getUrlParams();
		if(key in params) {
			return params[key];
		} else {
			return "";
		}
	}

	//加载数据
	owner.loadDataToform = function(obj, formId) {
		jQuery("#" + formId + " :input:not(:checkbox)").each(function() {
			var elementName = this.name ? this.name : "";
			var elementTagName = this.tagName ? this.tagName.toLowerCase() : "";
			var elementType = this.type ? this.type.toLowerCase() : "";
			//依次赋值名称优先
			if(elementTagName == 'select') {
				jQuery(this).find("option").each(function(k, v) {
					if((typeof(obj[elementName]) == 'number' || typeof(obj[elementName]) == 'boolean') || (obj[elementName])) {
						if(jQuery(v).attr("value") == obj[elementName].toString()) {
							jQuery(v).prop({
								"selected": true
							});
						}
					}
				})
			}
			//处理input标签
			if(elementTagName == 'input' || elementTagName == 'textarea') {
				//处理radio或者checkbook
				if(((typeof(obj[elementName]) == 'number' || typeof(obj[elementName]) == 'boolean') || (obj[elementName])) && elementType == "radio") {
					if(jQuery(this).val() == obj[elementName]) {
						jQuery(this).prop({
							"checked": true
						});
					}
				}
				if(((typeof(obj[elementName]) == 'number' || typeof(obj[elementName]) == 'boolean') || (obj[elementName])) && (elementTagName == "textarea" || elementType == "text" || elementType == "hidden" || elementType == "password")) {
					jQuery(this).val(obj[elementName].toString());
				}
			}
		})

		//给checkbook赋值
		var checkboxEle = jQuery("#" + formId + " input:checkbox");
		if(checkboxEle && checkboxEle.size() > 0) {
			if(typeof(obj[elementName]) != "undefined") {
				var checboxName = checkboxEle.attr("name");
				checkboxEle.val(obj[checboxName].toString());
			}
		}
	}

	//APP的路径
	owner.absolutePath = "";
	owner.uuid = function(line) {
		var s = [];
		var hexDigits = "0123456789abcdef";
		for(var i = 0; i < 36; i++) {
			s[i] = hexDigits.substr(Math.floor(Math.random() * 0x10), 1);
		}
		s[14] = "4"; // bits 12-15 of the time_hi_and_version field to 0010
		s[19] = hexDigits.substr((s[19] & 0x3) | 0x8, 1);
		s[8] = s[13] = s[18] = s[23] = line;
		var uuid = s.join("");
		return uuid;
	}

	owner.logout = function() {
		var absolutePath = owner.getAbsolutePath();
		//如果当前是微信进行认证那么开始执行登出操作
		var state = owner.getState();
		plus.oauth.getServices(function(services) {
			for(var i = 0; i < services.length; i++) {
				var oauthId = services[i]["id"];
				if(oauthId in state) {
					console.info("执行登出..." + oauthId);
					//如果当前为登录状态，那么执行登出
					if(services[i].authResult) {
						services[i].logout(function() {
							console.info("注销成功!");
						});
					}
					break;
				}
			}
		});
		owner.setState({}); //不管怎样，执行app退出操作
		owner.setCode("");
		owner.setLocalStorage("select-addr", {});
		mui.toast(jQuery.i18n.prop('logout.seccuss')); //"退出成功!"
		try {
			mui.ajax({
				needLoading: true,
				async: true,
				type: 'POST',
				url: app.domainPort + "/subject/logout",
				success: function(data) {
					owner.loadDataAndJump2UserCenter();
				}
			});
		} catch(e) {
			console.info(e);
		}
	}

	//获取file://...../  这一部分
	owner.getPath = function() {
		var url = window.location.href;
		var begin = url.indexOf("/html/");
		url = url.substring(0, begin + 1);
		return url;
	}

	//语言同步
	owner.asyncI18n = function(lang) {
		var state = owner.getState();

		mui.ajax({
			type: "post",
			url: owner.domainPort + "/customer/setLanguage",
			data: {
				"lang": lang,
				'token': state.token
			},
			async: false,
			dataType: "json",
			success: function(data) {}
		});
	}

	//异步加载后调用
	owner.renderI18n = function(selector, lang) {
		if(jQuery.isEmptyObject(jQuery.i18n.map)){
			console.log("当前没有数据，跳过渲染");
			return;
		}
		
		if(!lang) {
			//lang = "zh";
			var crossUserState = owner.getCrossUserState();
			lang = crossUserState.language;
		}
		
		jQuery(selector + " [data-i18n-key]").each(function(i, ele) {
			var langKey = jQuery(ele).attr('data-i18n-key');
			var paramValue = jQuery(ele).attr('data-i18n-value');
			if(paramValue) {
				jQuery(ele).text(jQuery.i18n.prop(langKey, paramValue));
			} else {
				jQuery(ele).text(jQuery.i18n.prop(langKey));
			}
		});

		jQuery(selector + " [data-i18n-place]").each(function(i, ele) {
			var langKey = jQuery(ele).attr('data-i18n-place');
			var paramValue = jQuery(ele).attr('data-i18n-value');
			if(paramValue) {
				jQuery(ele).attr('placeholder', jQuery.i18n.prop(langKey, paramValue));
			} else {
				jQuery(ele).attr('placeholder', jQuery.i18n.prop(langKey));
			}
		});

		//img 对应的是 img_en.png
		jQuery(selector + " img[data-i18n-img]").each(function(i, ele) {
			var imgSrc = jQuery(ele).attr('src');
			imgSrc = jQuery.trim(imgSrc);
			if(imgSrc.match(/^\/.*/i)) {
				imgSrc = owner.domainPort + imgSrc;
			}
			jQuery(ele).attr('src', imgSrc.replace(/_[a-z]+\./, '_' + lang + '.'));
		});

	}

	//设置i18n
	owner.changeI18n = function(lang) {
		var crossUserState = owner.getCrossUserState();
		var isUndefined = false;
		if((!lang) || arguments.length == 0) {

			lang = crossUserState.language;
			//如果当前状态下没有语言
			if(!lang) {
				//如果是空，那么说明没有切换
				var defaultLanguage = jQuery.i18n.browserLang();
				var splitLanguage = defaultLanguage.toLowerCase().split(/[_\-]/);
				if(splitLanguage.length > 0) {
					lang = jQuery.trim(splitLanguage[0]).toLowerCase();
				}

				if(lang in supportLanguage) {
					//设置当前语言到系统默认的语言
					crossUserState.language = lang;
				} else {
					//设置默认语言到英文
					isUndefined = true;
					crossUserState.language = "en"
				}
				owner.setCrossUserState(crossUserState);
			}
		} else {
			//点击切换语言且保存
			crossUserState.language = lang;
			owner.setCrossUserState(crossUserState);
			if(owner.isSimpleLogin()) {
				owner.asyncI18n(lang);
			}
		}

		//加入到默认的key-value键值对
		var keyValues = supportLanguage[lang];
		for(var key in keyValues) {
			jQuery.i18n.map[key] = keyValues[key];
		}
		//同步更新到数据库
		var currentHref = window.location.href;

		var absolutePath = owner.domainPort + "/" + app.accessVersion + "/app-platform/common/i18n/"
		//初始化I18N
		jQuery.i18n.properties({
			name: 'strings', // 资源文件名称
			path: absolutePath, //"www/assets/lib/jQueryi18n/i18n/", // 资源文件所在目录路径
			language: lang, // 对应的语言
			mode: 'map', // 模式：变量或 Map
			useLocalStorage: true,
			cache: false,
			encoding: 'UTF-8',
			callback: function() { // 加载成功后设置显示内容
				//console.info("--------------"+lang)
				owner.renderI18n('body', lang);
			}
		});
		//如果是第一次，那么执行语言说明
		if(isUndefined) {
			mui.toast(jQuery.i18n.prop("system.support.language.prompt"));
		}
	};

	owner.getAbsolutePath = function() {
		var currentHref = window.location.href;
		var absolutePath;
		var tag = "/www";
		absolutePath = currentHref.substring(0, currentHref.lastIndexOf(tag) + tag.length);
		return absolutePath;
	}

	owner.isEmail = function(str) {
		var reg = /^[a-zA-Z0-9_.-]+@[a-zA-Z0-9-]+(\.[a-zA-Z0-9-]+)*\.[a-zA-Z0-9]{2,6}$/;
		return reg.test(str);
	}

	//增加遮罩层
	owner.addLoadding = function(autoClose) {
		if(jQuery("#loading-toppgo").size() == 0) {
			var height = window.innerHeight; //$(window).height();
			var width = window.innerWidth; //$(window).width();
			var imgSrc = app.getAbsolutePath() + "/assets/dist/images/loadding.gif";
			if(jQuery(".loading-div").length == 0) {
				jQuery("body").append("<div class=\"loading-div mui-backdrop\">" +
					"<span style=\"top:50%;position:absolute;left:50%;width:80px;height:80px;margin-left:-40px;margin-top:-40px;\" >" +
					"<img width='80px' src='" + imgSrc + "'></img>" +
					"</span></div>");
			}
		} else {
			jQuery("#loading-toppgo").removeClass("mui-hidden");
		}
		if(autoClose == true) {
			window.setTimeout(owner.removeLoadding, 10000);
		}
	}

	//去掉遮罩层
	owner.removeLoadding = function() {
		jQuery("#loading-toppgo").addClass("mui-hidden");
	}

	owner.addDefaultLanguagae = function() {
		var languageQuery = "";
		if(!app.isSimpleLogin()) {
			var crossUserState = owner.getCrossUserState();
			var lang = crossUserState.language;
			if(!lang) {

				var envLanguage = jQuery.i18n.browserLang();
				var splitLanguage = envLanguage.split(/[_\-]/);
				if(splitLanguage.length > 0) {
					lang = jQuery.trim(splitLanguage[0]).toLowerCase();
				}
			}
			languageQuery = "?language=" + lang;
		}
		return languageQuery;
	}

	//==========================转运产品拍照路径设置-==================
	owner.logisticsImagesDirector = "www-toppgo/";
	//APP的版本
	owner.version = "";

	//创建拼邮动态虚拟数据
	owner.createTransInfoData = function(num) {
		var datas = new Array();
		datas.push("weslin#衣服");
		datas.push("Shongjun#玩具");
		datas.push("Jack#辣椒酱");
		datas.push("君君#零食");
		datas.push("茂源#袜子");
		datas.push("育才#玩具");
		datas.push("Tendy#CPU");
		datas.push("wangle#衣服");
		datas.push("琳#裙子");
		datas.push("在水一方#餐具");
		datas.push("玉逍遥#箱包");
		datas.push("凯乐#雨衣");
		datas.push("吉步#鱼子酱");
		datas.push("阿旺#零食");
		datas.push("方明#电插板");
		datas.push("王俊#手机");
		datas.push("Cassie#日用品");
		datas.push("lingo#电器");
		datas.push("海泽#电器");
		datas.push("露露#化妆品");
		datas.push("亚当#书籍");
		datas.push("问天#牛仔裤");
		datas.push("剑随风#衣服");
		datas.push("kitty#配饰");
		datas.push("工%本#电器");
		datas.push("淼淼#化妆品");
		datas.push("楚千秋#衣服");
		datas.push("业&图#配饰");
		datas.push("风莫#电器");
		datas.push("甜甜#化妆品");
		datas.push("cuiwen#书籍");
		datas.push("zhaoyang#CPU");
		datas.push("qiangqiang#衣服");
		datas.push("mantian#裙子");
		datas.push("quanye#餐具");
		datas.push("tubosu#箱包");
		datas.push("fangyu#雨衣");
		datas.push("xianglin@#鱼子酱");
		datas.push("wangji#零食");
		datas.push("shencai#电插板");
		datas.push("yunalin#手机");
		datas.push("tangmin#日用品");
		datas.push("renxiao#电器");
		datas.push("zhaotu#电器");
		datas.push("aima%#化妆品");
		datas.push("yiya#书籍");
		datas.push("langchen#牛仔裤");
		datas.push("chenlang#衣服");
		datas.push("jiachao#配饰");
		datas.push("wanjie%本#电器");
		datas.push("zhoucao#化妆品");
		datas.push("wurui#衣服");
		datas.push("fengcan#配饰");
		datas.push("tianheng#电器");
		datas.push("baiji#化妆品");
		var resData = new Array();
		for(var i = 0; i < num; i++) {
			var random = getRandom(0, num);
			var singleData = datas[random];
			if(!contains(resData, singleData)) {
				resData.push(singleData);
			} else {
				i = i - 1;
			}
		}
		return resData;
	}

	function contains(arr, obj) {
		var i = arr.length;
		while(i--) {
			if(arr[i] === obj) {
				return true;
			}
		}
		return false;
	}

	function getRandom(min, max) {
		var r = Math.random() * (max - min);
		var re = Math.round(r + min);
		re = Math.max(Math.min(re, max), min)

		return re;
	}

	//=================================图片进行处理================
	owner.clearDirectory = function(directory) {
		plus.io.resolveLocalFileSystemURL(directory, function(entry) {
			entry.removeRecursively(); //清除目录
			console.info("remove--ok")
		});
	}

	owner.requestPermission = function(permissions) {

		var Context = plus.android.runtimeMainActivity();
		var ActivityCompat = plus.ios.importClass("android.support.v4.app.ActivityCompat");
		var res = plus.android.invoke(ActivityCompat, "checkSelfPermission", Context, "android.permission.CAMERA");

		console.info(res)

		var PERMISSIONS_STORAGE = new Array();

		PERMISSIONS_STORAGE.push(permissions);
		if(res != "0") {

			　
			plus.android.invoke(ActivityCompat, "requestPermissions", Context, PERMISSIONS_STORAGE, 1);
		}

	};

	owner.downloadPicAndCachePics = function(cacheMap) {
		for(var i = 0; i < cacheMap.length; i++) {
			startDownloadAndCachePic(cacheMap[i]);
		}
	}

	function startDownloadAndCachePic(netImageUrl) {
		var imageUrl = netImageUrl.substr(netImageUrl.lastIndexOf("/") + 1);

		//先判断文件是否存在
		plus.io.resolveLocalFileSystemURL("_doc/imageTemp/" + imageUrl, function(entry) {
			//如果文件存在,则直接设置本地图片
			jQuery("img[src-data^='" + imageUrl + "']").each(function() {
				jQuery(this).attr("src", entry.fullPath);
			})
			//jQuery("img[src-data^='"+imageUrl+"']").attr("src",entry.fullPath);
		}, function(e) {

			//不存在则去下载资源
			//plus.downloader.clear();
			var taskDownload = plus.downloader.createDownload(netImageUrl, {
				filename: "_doc/imageTemp/",
				timeout: 5,
				retry: 1
			}, function(d, status) {
				var fileName = d.filename;
				if(status == 200) {
					jQuery("img[src-data^='" + imageUrl + "']").each(function() {
						jQuery(this).attr("src", plus.io.convertLocalFileSystemURL(fileName));
					})
					//jQuery("img[src-data^='"+imageUrl+"']").attr("src",plus.io.convertLocalFileSystemURL(fileName));
				}
			});

			taskDownload.start();
		});
	};

	/**
	 * 
	 * @param {Object} resourcesUrl 请求的链接路径
	 * @param {Object} name 资源的名称
	 * @param {Object} jsonDataReferences 当前页面转入的引用
	 */
	owner.asyncAjaxResources = function(resourcesUrl, name, jsonDataReferences, func, debug) {

		try {
			var validateUrl = resourcesUrl.replace(/(.*?:\/\/.*?\/)(.*)/gi, "$2");
			if(validateUrl.search(/^app\-platform.*/gi) >= 0) {
				resourcesUrl = resourcesUrl.replace(/(.*?:\/\/.*?\/)(.*)/gi, "$1" + (owner.accessVersion) + "/$2");
			}
		} catch(e) {
			console.info(e);
		}

		var configVersion = owner.getLocalStorage("cacheConfigVersion");
		var cacheData = owner.getLocalStorage("cacheData");
		var versionType = name + "-version";
		
		if( (!(versionType in cacheData)) || (!(versionType in configVersion)) || owner.isDebug) {
			console.info("....请求最新数据!" + versionType);
			//加载jsondata
			mui.ajax({
				type: "get",
				url: resourcesUrl,
				dataType:jsonDataReferences['contentType']||'',
				cache: false,
				success: function(subData) {
					//加载保存数据到缓存中
					if(configVersion[versionType]) {
						cacheData[versionType] = configVersion[versionType];
						cacheData[name] = subData;
						owner.setLocalStorage("cacheData", cacheData);
					}
					jsonDataReferences[name] = subData;
					if(typeof func == "function") {
						func();
					}
				},
				error: function(er, code) {
					console.info(resourcesUrl)
					console.info(JSON.stringify(er));
					console.info(code)
				}
			});
		} else {
			var cacheVersion = cacheData[versionType];
			var cacheVersion4Data = cacheData[name];
			var ajaxVersion = configVersion[versionType];
			//使用缓存
			if(ajaxVersion && cacheVersion && cacheVersion4Data && ajaxVersion == cacheVersion){
				console.log("使用缓存数据:"+cacheVersion);
				jsonDataReferences[name] = cacheVersion4Data;
				if(typeof func == "function") {
					func();
				}
			}else{
				//加载jsondata
				mui.ajax({
					type: "get",
					url: resourcesUrl,
					dataType:jsonDataReferences['contentType']||'',
					cache: false,
					success: function(subData) {
						//加载保存数据到缓存中
						if(ajaxVersion) {
							cacheData[versionType] = ajaxVersion;
							cacheData[name] = subData;
							owner.setLocalStorage("cacheData", cacheData);
						}
						jsonDataReferences[name] = subData;
						if(typeof func == "function") {
							func();
						}
					},
					error: function(er, code) {
						console.info(resourcesUrl)
						console.info(JSON.stringify(er));
						console.info(code)
					}
				});
			}
		}
	};

	//应用市场
	owner.jumpToAppMarket = function() {
		if(!mui.os.plus) {
			return false;
		}
		if(plus.os.name == "iOS") {
			plus.runtime.openURL("itms-apps://itunes.apple.com/app/id1209826102");
		} else if(plus.os.name == "Android") {
			
			var Uri = plus.android.importClass("android.net.Uri");
			var uri = Uri.parse("market://details?id=" + 'com.toppgo.transport');
			var Intent = plus.android.importClass('android.content.Intent');
			var intent = new Intent(Intent.ACTION_VIEW, uri);
			var main = plus.android.runtimeMainActivity();
			main.startActivity(intent);
			
		}
	};
	//打开任意窗口
	owner.openWindow = function(accessName, accessPath, accessTitle) {

		var toppgoPath = owner.getAbsolutePath() + "/toppgo.html";

		var toppgoName = "toppgo-" + (new Date().getTime());
		var opennativewindow = mui.openWindow({
			url: toppgoPath,
			id: toppgoName,
			extras: {
				"accessName": accessName,
				"accessPath": accessPath
			},
			createNew: false,
		});
		opennativewindow.onloading = function() {
			mui.back = function() {
				opennativewindow.close();
			};
		};
	}

	//新加入的方法
	owner.showOnlyZhAction = function() {
		var crossUserState = owner.getCrossUserState();
		if((crossUserState && crossUserState.language)) {
			var envLanguage = crossUserState.language;
			//遍历进行处理
			jQuery("body [show4Language]").each(function() {
				try {
					var show4Language = jQuery(this).attr('show4Language');
					var show4LanguageArray = JSON.parse(show4Language);
					if(show4LanguageArray.length > 0) {

						var isShow = false;
						for(var i = 0; i < show4LanguageArray.length; i++) {
							if(envLanguage.indexOf(show4LanguageArray[i]) >= 0) {
								isShow = true;
							}
						}

						if(isShow) {
							if(jQuery(this).hasClass("mui-hidden")) {
								jQuery(this).removeClass("mui-hidden");
							}
						} else {
							if(!jQuery(this).hasClass("mui-hidden")) {
								jQuery(this).addClass("mui-hidden");
							}
						}
					} else {
						if(!jQuery(this).hasClass("mui-hidden")) {
							jQuery(this).addClass("mui-hidden");
						}
					}
				} catch(e) {
					console.error(e);
				}
			});
		} else {
			if(!jQuery("body [show4Language]").hasClass("mui-hidden")) {
				jQuery("body [show4Language]").addClass("mui-hidden");
			}
		}
	}

	//打开本地window
	owner.openNativeWindow = function(href, dataTitle, extras) {
		var opennativewindow = mui.openWindowWithTitle({
			url: href,
			id: "opennativewindow",
			styles: { // 窗口参数 参考5+规范中的WebviewStyle,也就是说WebviewStyle下的参数都可以在此设置
				titleNView: { // 窗口的标题栏控件
					titleText: dataTitle || "Toppgo", // 标题栏文字,当不设置此属性时，默认加载当前页面的标题，并自动更新页面的标题
					titleColor: "#FFFFFF", // 字体颜色,颜色值格式为"#RRGGBB",默认值为"#000000"
					titleSize: "17px", // 字体大小,默认17px
					backgroundColor: "#0f88eb", // 控件背景颜色,颜色值格式为"#RRGGBB",默认值为"#F7F7F7"
					shareable: true,
					buttons: [{
						"type": "back",
						"float": "left",
						//"fontSize":"15px",
						//"text":"返回",
						"onclick": function() {
							opennativewindow.canBack(function(e) {
								if(e.canBack) {
									opennativewindow.back();
								} else {
									opennativewindow.close();
								}
							});
						}
					}, {
						"type": "close",
						"float": "left",
						//"fontSize":"15px",
						//"text":"关闭",
						"onclick": function() {
							opennativewindow.close();
						}
					}],
					progress: { // 标题栏控件的进度条样式
						color: "#00FF00", // 进度条颜色,默认值为"#00FF00"  
						height: "2px" // 进度条高度,默认值为"2px"         
					},
					splitLine: { // 标题栏控件的底部分割线，类似borderBottom
						color: "#CCCCCC", // 分割线颜色,默认值为"#CCCCCC"  
						height: "1px" // 分割线高度,默认值为"2px"
					}
				}
			},
			show: {
				autoShow: true,
				duration: 100
			},
			waiting: {
				autoShow: true,
				options: {
					padlock: true
				},
				title: jQuery.i18n.prop("system.loadding")
			},
			extras: jQuery.extend({
				androidPackage: app.androidPackage
			}, extras)
		});

		opennativewindow.onloading = function() {
			opennativewindow.setCssText(".mui-bar-nav{display:none;} .mui-bar-nav ~ .mui-content{padding-top: 0px;}");
			if(!(opennativewindow.oldback)) {
				opennativewindow.oldback = mui.back;
			}
			mui.back = function() {
				if(opennativewindow.isVisible()) {
					opennativewindow.canBack(function(e) {
						if(e.canBack) {
							opennativewindow.back();
						} else {
							mui.back = opennativewindow.oldback;
							opennativewindow.close();
						}
					});
				} else {
					opennativewindow.oldback();
				}
			};
		};
	}

	//打开window的窗口
	owner.openToppgoWindowWithExtras = function(extras) {
		var toppgoPath = app.getAbsolutePath() + "/toppgo.html";
		var toppgoName = "toppgo-" + (new Date().getTime());
		var opennativewindow = mui.openWindow({
			url: toppgoPath,
			id: toppgoName,
			extras: extras,
			createNew: false
		});
	}

	owner.renderServerPah = function() {
		jQuery("body [renderServerPath]").each(function() {
			var renderServer = jQuery(this).attr("renderServerPath");
			var renderServerAttr = jQuery(this).attr("renderServerAttr");
			if(renderServerAttr && renderServer) {
				jQuery(this).attr(renderServerAttr, app.domainPort + renderServer);
			}
		})
	}

	owner.addCssByLink = function(url) {
		var doc = document;
		var link = doc.createElement("link");
		link.setAttribute("rel", "stylesheet");
		link.setAttribute("type", "text/css");
		link.setAttribute("href", url);

		var heads = doc.getElementsByTagName("head");
		if(heads.length)
			heads[0].appendChild(link);
		else
			doc.documentElement.appendChild(link);
	}

	//用于标识当前页面缓存的key值
	owner.currentPageVersionKey = undefined;

	//用于统一监听异步加载的事件
	owner.asyncAjaxResourcesCompleteLisenter = function(cacheKey) {
		//首先将标识进行回选
		owner.currentPageVersionKey = cacheKey;
		//初始化所有的回调
		owner.initReadyAction();
	}

	//强制刷新本地页面,从服务器获取
	owner.forceReloadPage = function(force) {

		//清除当前版本
		var cacheData = owner.getLocalStorage("cacheData");

		delete cacheData[owner.currentPageVersionKey]

		delete cacheData[owner.currentPageVersionKey + "-version"]

		owner.setLocalStorage("cacheData", cacheData);

		try {
			var currentWebView = mui.currentWebview;
			if(currentWebView) {
				if(force == undefined || arguments.length == 0) {
					force = true;
				}
				currentWebView.reload(force);
				mui.toast(jQuery.i18n.prop("page.forced.refresh"));
			}
		} catch(e) {
			console.info(e)
		}
	}

	/**
	 * //版本升级提示
	 * @param {Object} force,force表示立即提示
	 * @param {Object} days,days表示间隔几天显示
	 */
	owner.newVersionAlert = function(force, days, heigth) {
		if(force) {
			owner.ajaxRequestNewVersion(force, heigth);
		} else {
			//如果days无效,那么默认值为:1天
			days = days ? days : 1;
			var appPropmtDateInfo = app.getLocalStorage("appUpdateInfo");
			//如果为空那么需要进行提示
			if(jQuery.isEmptyObject(appPropmtDateInfo)) {
				owner.ajaxRequestNewVersion(force, heigth);
			} else {
				//上一次时间
				var prevPromptDayTime = appPropmtDateInfo["prevPromptDayTime"];
				//当前最新时间
				var currentDate = new Date().getDate();
				if(Math.abs(parseInt(currentDate) - parseInt(prevPromptDayTime)) >= days) {
					owner.ajaxRequestNewVersion(force, heigth);
				}
			}
		}
	}

	//从服务器请求最新版本
	owner.ajaxRequestNewVersion = function(force, height) {
		//获取本地的版本然后与服务器进行比较
		plus.runtime.getProperty(plus.runtime.appid, function(wgtinfo) {
			var os = mui.os.android ? "ANDROID" : "IOS";
			mui.ajax({
				url: app.domainPort + '/app/version?random=' + Math.random(),
				data: {
					version: wgtinfo.version,
					os: os
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				timeout: 10000, //超时时间设置为10秒；
				success: function(data) {
					try {
						if(data && data.flag) {
							//表示有更新
							var updateMessage = data["obj"];
							var updateMessages = updateMessage.split(";");

							owner.loadAdView({
								"accessName": "softwareUpgradingPrompt",
								"accessPath": "advertise",
								"messages": updateMessages
							}, height);

							//设置已经显示了
							app.setLocalStorage("appUpdateInfo", {
								"prevPromptDayTime": new Date().getDate()
							});

						} else {
							if(force) {
								mui.toast(jQuery.i18n.prop("last.version"), {
									duration: 1000
								});
							}
						}
					} catch(e) {
						console.info(e)
					}
				},
				error: function() {
					if(force) {
						mui.toast(jQuery.i18n.prop("network.error"), {
							duration: 1000
						});
					}
				}
			});
		});
	}

	//广告提示
	owner.loadAdView = function(extras, height) {
		var phoneHeight = plus.screen.resolutionHeight;
		var phoneWidth = plus.screen.resolutionWidth;
		if(!height || height > 0.7) {
			height = 0.7;
		}
		var openView = mui.openWindow({
			url: owner.getAbsolutePath() + "/html/adTemplate.html?headerHide=true",
			id: "html/adTemplate.html",
			styles: {
				top: (phoneHeight * 0.15) + "px",
				left: "5%",
				width: "90%",
				height: (phoneHeight * height) + "px",
				background:"transparent",
				webviewBGTransparent:true
			},
			createNew: true,
			waiting: {
				autoShow: false, //自动显示等待框，默认为true
				title: jQuery.i18n.prop("system.loadding")
			},
			show: {
				autoShow: true,
				aniShow: "zoom-out",
				duration: 200
			},
			extras: extras
		});

		openView.onclose = function() {
			//去掉遮罩层
			plus.webview.getLaunchWebview().setStyle({
				mask: 'none'
			});
		}
		plus.webview.getLaunchWebview().setStyle({
			mask: 'rgba(0,0,0,0.4)'
		});
	}

	//修改所有页面语言
	owner.changeAllPage = function() {
		var wvs = plus.webview.all();
		for(var i = 0; i < wvs.length; i++) {
			try {
				wvs[i].evalJS('app.changeI18n()');
				wvs[i].evalJS('app.showOnlyZhAction()');
			} catch(e) {
				console.info(e);
			}
		}
	}
	
	//html插入到body中之后的初始化
	owner.initReadyAction = function(){
		try {
			
			//渲染页面
			owner.renderServerPah();
			
			//执行翻译
			owner.renderI18n("body");
			
			//监听本地原始窗口的事件
			jQuery("body").on("tap", "[navtive-href]", function() {
				var href = this.getAttribute("navtive-href");
				if(!href) {
					return;
				}
				href = jQuery.trim(href);
				if(href.match(/^\/.*/i)) {
					href = app.domainPort + href;
				}
				var dataTitle = this.getAttribute("navtive-title");
				var i18nKey = this.getAttribute("navtive-title-i18n-key");
				if(i18nKey) {
					dataTitle = jQuery.i18n.prop(i18nKey);
				}
				owner.openNativeWindow(href, dataTitle);
			});
			
			//支持快捷的打开窗口
			jQuery("body").on("tap", ".toppgoServerAccess", function() {
				var accessName = this.getAttribute("accessName");
				var accessPath = this.getAttribute("accessPath");
				var loginAuth = this.getAttribute("loginAuth");
				if(loginAuth == 'true') {
					if(!app.isLogin(true)) {
						return;
					}
				}
				owner.openToppgoWindowWithExtras({
					accessName: accessName,
					accessPath: accessPath
				});
			});
			
		} catch(e) {
			console.info(e);
		}
	}
})(mui, window.app = {});

(function(owner) {

	owner.openHome = function(webviewId) {
		var lauchWebview = plus.webview.getLaunchWebview();
		lauchWebview.evalJS("selectTap('" + webviewId + "')");
		mui.fire(lauchWebview, 'loadDataEvent');

		if(webviewId == 'html/cartAll.html') {
			targetView = plus.webview.getWebviewById('html/cartAll.html');
			mui.fire(targetView, 'loadDataEvent');
		}

		//递归关掉上一个打开窗口
		owner.closeBrothers(plus.webview.currentWebview());
	}

	owner.closeBrothers = function(currentWebView) {
		if(currentWebView) {
			var parentWebview = currentWebView.opener();
			if(parentWebview) {
				owner.closeBrothers(parentWebview);
			}
			//禁止关掉顶层webview
			if(plus.webview.getLaunchWebview() != currentWebView && jQuery.inArray(currentWebView.id, ['index-view.html', 'html/transport-order/transport-order.html', 'html/cartAll.html', 'html/usercenter.html']) == -1) {
				currentWebView.close("none");
			}
		}
	}

})(window.appGoHome = {});

//语言国际化必须在这里进行初始化
mui.plusReady(function () { 
	//执行语言初始化
	app.changeI18n();
})

//初始化所有的数据
mui.ready(function(){
	//全局的初始化mui-ajax的数据 ,"token":
	mui.extend(mui.ajaxSettings,{
		timeout: 10000,
		beforeSend:function(xhr, settings){
			//动态的添加token信息到请求中
			if(!settings.tokenRemove) {
				if(!((settings.data && settings.data.indexOf("token=")>=0) || (settings.url.indexOf("token=")>=0))){
					var token = app.getState().token;
					if(token){
						settings.url = (settings.url + '&' + "token="+ token).replace(/[&?]{1,2}/, '?')
					}
				}
			}
			//是否添加loadding
			if(settings.needLoading == true) {
				var size = settings.needLoadingSize||50;
				var loadingUUID = app.uuid();
				var height = window.innerHeight; 
				var width = window.innerWidth;
				var imgSrc = app.getAbsolutePath() + "/assets/dist/images/loadding.gif";
				if(jQuery(".loading-div").length == 0) {
					var loaddingHtml = "<div class=\"loading-div mui-backdrop\" style=\"z-index: 5001;\">" +
						"<span style=\"top:50%;position:absolute;left:50%;width:"+size+"px;height:"+size+"px;margin-left:-"+(size/2)+"px;margin-top:-"+(size/2)+"px;\" >" +
						"<img width='"+size+"px' src='" + imgSrc + "'></img>" +
						"</span></div>";
					jQuery("body").append(loaddingHtml);
				}
			}
		},
		complete: function(data, successStr) { 
			var responseJson = data && data.responseJSON;
			if(responseJson && !responseJson.flag && responseJson.msg && responseJson.msg.indexOf("Authentication token") != -1) {
				mui.toast(jQuery.i18n.prop('password.have.modified.info'));
				//"当前密码已被修改,将执行退出"
				app.logout();
			}
			jQuery(".loading-div").remove();
			app.renderI18n("body");
		}
	});
	
	//初始化body的点击事件
	try {
		
		//执行需要空白的页面加上等待框和返回
		if(app.currentPageVersionKey == undefined || (!app.currentPageVersionKey)) {
			if(jQuery("body.needLoad") && jQuery("body.needLoad").length){
				var headerHide = app.getParameter("headerHide");
				if(headerHide) {
					jQuery("body.needLoad").html("<div class=\"mui-scroll order-content wait-index wait-spinner\"><div class=\"mui-loading\" style=\"text-align: center;\"><div class=\"mui-spinner\"></div><span style=\"font-size: 12px;\" data-i18n-key=\"system.loadding\">加载中</span></div></div>");
				} else {
					jQuery("body.needLoad").html("<header class=\"mui-bar mui-bar-nav\"><a class=\"return-box mui-action-close\"><img src=\"../../assets/dist/images/return.png\" alt=\"\" height=\"20\" onerror=\"this.src=app.getAbsolutePath()+'/assets/dist/images/return.png'\"></a></header><div class=\"mui-scroll order-content wait-index wait-spinner\"><div class=\"mui-loading\" style=\"text-align: center;\"><div class=\"mui-spinner\"></div><span style=\"font-size: 12px;\" data-i18n-key=\"system.loadding\">加载中</span></div></div>");
					//增加事件的监听
					jQuery("header .mui-action-close").on("click",function() {
						try {
							var currentWebView = mui.currentWebview;
							if(currentWebView) {
								currentWebView.close();
							}
						} catch(e) {
							console.error(e);
						}
					});
				}
			}
		}
		/**网络异常*/
		window.setTimeout(function() {
			var spinnerContainer = jQuery(".wait-spinner");
			if(spinnerContainer && spinnerContainer.length) {
				spinnerContainer.find("span").html(jQuery.i18n.prop("network.timeout")).css({
					"color": "orangered",
				});
			}
		}, 10000);
	} catch(e) {
		console.error(e);
	}
})

