	//app.setLocalStorage("server",{});
	var serverStorage = app.getLocalStorage("server");
	var i18nLanguage = {
		"zh": {
			"server.china": "中国服务器",
			"server.europe": "欧洲服务器",
			"system.switch.server.prompt": "监测到网路发生了变化，App需要重启已提供更好的服务。",
			"ok": "确定",
			"network.tips": "网络提示",
			"server.auto": "自动识别"
		},
		"en": {
			"server.china": "China Server",
			"server.europe": "Europe Server",
			"system.switch.server.prompt": "It is detected that the network has changed and the app needs to be restarted to provide better services.",
			"ok": "Ok",
			"server.auto": "Auto",
			"network.tips": "Network Prompt"
		}
	};
	//开始判断脚本
	if(serverStorage && serverStorage["server"]) {
		console.log("server缓存数据:" + JSON.stringify(serverStorage));
		var mode = serverStorage["mode"];
		var server = serverStorage["server"];
		if(!mode || mode == "auto") {
			console.log("服务器推荐模式");
			setServerAndRequestServer(setServerAndRequestServerCallback);
		}else{
			console.log("手动选择服务器模式直接显示页面");
			showIndexAction()
		}
	} else {
		console.log("首次请求最新的");
		setServerAndRequestServer(setServerAndRequestServerCallback)
	}
	

	
/**
 * 调用
 * @param {Object} result
 * @param {Object} response
 * @param {Object} status
 * @param {Object} err
 */
function setServerAndRequestServerCallback(result, response, status, err){
	if(result == "success") {
		try {
			
			var crossUserState = app.getCrossUserState();
			lang = crossUserState.language || "en";
			
			window.ipCallbackFunc = function(ipResult) {
				
				var ipcode = ipResult && ipResult.proCode;

				var serverDomain = "http://tcn.toppgo.com";
				var text = i18nLanguage[lang]["server.auto"];
				
				if(ipcode.indexOf("999999") >= 0) {
					serverDomain = "http://teu.toppgo.com";
				}
				
				console.log("IP信息："+JSON.stringify(ipResult));
				
				app.setLocalStorage("server", {
					"server": serverDomain,
					"text": text,
					"mode": "auto"
				});
				
				if(app.domainPort != serverDomain) {
					mui.alert(i18nLanguage[lang]["system.switch.server.prompt"], i18nLanguage[lang]["network.tips"], i18nLanguage[lang]["ok"],
						function() {
							window.setTimeout(function() {
									plus.runtime.restart()
								},
								1000)
						});
				}else{
					console.log("网络暂无变化");
					showIndexAction();
				}
			};
			eval(response)
		} catch(e) {
			console.error("解析IP信息异常："+e);
			showIndexAction()
		}
	} else {
		console.error("获取IP信息异常，使用默认的服务器首页");
		showIndexAction()
	}
}

function setServerAndRequestServer(func) {
	mui.ajax({
		url: "http://whois.pconline.com.cn/ipJson.jsp?callback=ipCallbackFunc",
		type: "get",
		dataType: "text",
		success: function(data, textStatus, XMLHttpRequest) {
			if(typeof func === "function") {
				func("success", data, textStatus, XMLHttpRequest)
			}
		},
		error: function(xhr, status, error) {
			if(typeof func === "function") {
				func("error", xhr, status, error)
			} 
		}
	})
};