// ----------------------------------------------- validate 扩展 --------------------------------------START
(function (owner) {

    if (!$.fn.validate) {
        return;
    }

    $.extend($.validator.messages, {
        required: "必填字段",
        remote: "请修正该字段",
        email: "请输入正确格式的电子邮件",
        url: "请输入合法的网址",
        date: "请输入合法的日期",
        dateISO: "请输入合法的日期 (ISO).",
        number: "请输入数字",
        digits: "只能输入整数",
        creditcard: "请输入合法的信用卡号",
            equalTo: "请再次输入相同的值",
            accept: "请输入拥有合法后缀名的字符串",
            maxlength: $.validator.format("长度不能超过 {0}个字符"),
            minlength: $.validator.format("长度最少为 {0} "),
            rangelength: $.validator
            .format("请输入 一个长度介于 {0} 和 {1} 之间的字符串"),
            range: $.validator.format("请输入一个介于 {0} 和 {1} 之间的值"),
            max: $.validator.format("请输入一个最大为{0} 的值"),
            min: $.validator.format("请输入一个最小为{0} 的值")
    });
    $.validator.addMethod("isValidName", function (value, element) {
        var validPattern = /^[a-zA-Z_0-9]*$/;
        return this.optional(element) || (validPattern.test(value));
    }, "请使用字母数字或下划线");
    $.validator.addMethod("notIncludeChar", function (value, element) {
        var chinese = /[]/;
        return !(chinese.test(value));
        return true;
    }, "不能输入特殊字符：\\、'、\"、@、#、&、$、%、^、*、~、`、和空格等");
    $.validator.addMethod("notIncludeCharForEnName", function (value, element) {
        var chinese = /[\\\'\\\" @#$%^~`?*]/;
        return !(chinese.test(value));
    }, "不能输入特殊字符：\\、'、\"、@、#、&、$、%、^、*、~、`、和空格等");
    $.validator.addMethod("notIncludeCharForEnum", function (value, element) {
        var chinese = /^[（）：+-\\(\\):.~a-zA-Z_0-9]*$/;
        return (chinese.test(value));
    }, "不能输入除（：+ - ( ) : . ~）之外的特殊字符");
    $.validator.addMethod("validNumber", function (value, element) {
        var validPattern = /^-?\d+$/;
        return this.optional(element) || (validPattern.test(value));
    }, "请使用数字");
    $.validator.addMethod("CPPCodeStandard", function (value, element) {
        var CPPCodeStandardPat = /^[a-zA-Z_][a-zA-Z0-9_]*$/;
        return this.optional(element) || (CPPCodeStandardPat.test(value));
    }, "首字符必须为字母或下划线，其他字符可以包含数字");
    $.validator.addMethod("integer", function (value, element) {
        return this.optional(element) || /^-?\d+$/.test(value);
    }, "请输入一个整数");
    $.validator.addMethod("nowhitespace", function (value, element) {
        return this.optional(element) || /^\S+$/i.test(value);
    }, "不能包含空白字符");
    $.validator.addMethod("lettersonly", function (value, element) {
        return this.optional(element) || /^[a-z]+$/i.test(value);
    }, "请使用英文字母");
    $.validator.addMethod("lettersWithUnderline", function (value, element) {
        return this.optional(element) || /^[a-z_]+$/i.test(value);
    }, "请使用英文字母或下划线");
    $.validator.addMethod("alphanumeric", function (value, element) {
        return this.optional(element) || /^\w+$/i.test(value);
    }, "只能包含字母数字下划线");
    $.validator.addMethod("duration", function (value, element) {
        if (/^(?:\d+|\d{1,3}(?:,\d{3})+)?(?:\.\d{1,2})?$/.test(value)) {
            return this.optional(element) || parseFloat(value) > 0;
        }
        return false;
    }, "大于0的数字类型,精确到0.01");

    owner.validate = function (formId, validateRules, messages) {
        return $(formId).validate({
            rules: validateRules,
            messages: messages,
            errorClass: 'error',
            validClass: 'valid',
            onkeyup: false,
            highlight: function (element) {
                $(element).closest('div').addClass("f_error");
            },
            unhighlight: function (element) {
                $(element).closest('div').removeClass("f_error");
            },
            errorPlacement: function (error, element) {
                if (element.is(':checkbox') || element.is(':radio')) {
                    $('#error-placeholder').append(error);
                } else {
                    $(element).closest('div').append(error);
                }

            },
            success: function (label) {
                // set &nbsp; as text for IE
                if (validateRules && validateRules[label.attr('for')]) {
                    label.html("&nbsp;").addClass("checked");
                }
                //label.addClass("valid").text("Ok!")
            }
        });
    }

    owner.validateTd = function (formId, validateRules, messages) {
        return $(formId).validate({
            rules: validateRules,
            messages: messages,
            errorClass: 'error',
            validClass: 'valid',
            onkeyup: false,
            highlight: function (element) {
                $(element).closest('td').addClass("f_error");
            },
            unhighlight: function (element) {
                $(element).closest('td').removeClass("f_error");
            },
            errorPlacement: function (error, element) {
                if (element.is(':checkbox') || element.is(':radio')) {
                    $('#error-placeholder').append(error);
                } else {
                    $(element).closest('td').append(error);
                }
            },
            success: function (label) {
                // set &nbsp; as text for IE
                if (validateRules && validateRules[label.attr('for')]) {
                    label.html("&nbsp;").addClass("checked");
                }
            }
        });
    }// END validateTd

})(appValidate = {});
// ----------------------------------------------- validate 扩展 --------------------------------------END